import { QueryInterface, DataTypes } from 'sequelize';

export async function up(queryInterface: QueryInterface): Promise<void> {
    await queryInterface.addColumn('claim_invoices', 'pwc_response', {
        type: DataTypes.JSON,
        allowNull: true,
    });
    await queryInterface.addColumn('claim_invoices', 'irp_response', {
        type: DataTypes.JSON,
        allowNull: true,
    });
}

export async function down(queryInterface: QueryInterface): Promise<void> {
    await queryInterface.removeColumn('claim_invoices', 'pwc_response');
    await queryInterface.removeColumn('claim_invoices', 'irp_response');
}
